[HP ProBook 6440b] Ubuntu 10.04 random freezes

Bug #585765 reported by florianr
656
This bug affects 137 people
Affects Status Importance Assigned to Milestone
Linux
Invalid
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
Nominated for Karmic by Shrini
Nominated for Lucid by Montblanc
Nominated for Maverick by OhBehave!
xorg-server (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by Shrini
Nominated for Lucid by Montblanc
Nominated for Maverick by OhBehave!

Bug Description

Hello,

on my new laptop, a HP ProBook 6440b (with Core i5 and a plain Intel Chipset, 4GB RAM) I get randomly freezes of the whole system. I can't reproduce that, what means I don't know a aplication or usage of the system making it freeze. sometimes I have uptimes of a day, without freeze and sometimes it freezes right after booting the system.

I found out, that sometimes the MagicSysRQ (R-E-I-S-U-B) works and let me shut down the system, sometimes not. I don't know what makes that difference. In the system log I can't find any unusual entries. But I foun that the system log is still runing, so shuting down the wifi with the notebooks hardware switch for example is logged. Also the Wifi network connection to my router is not interrupted.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: linux-image-2.6.32-22-generic 2.6.32-22.33
Regression: No
Reproducible: No
ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-22-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: florian 1689 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd4900000 irq 17'
   Mixer name : 'Intel G45 DEVIBX'
   Components : 'HDA:111d7603,103c1722,00100202 HDA:11c11040,103c3066,00100200 HDA:80862804,80860101,00100000'
   Controls : 23
   Simple ctrls : 14
Date: Wed May 26 11:03:07 2010
EcryptfsInUse: Yes
Frequency: Once a day.
HibernationDevice: RESUME=UUID=24088f3d-7be1-4efd-a05a-d1fac42086df
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
MachineType: Hewlett-Packard HP ProBook 6440b
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-22-generic root=UUID=ac1bccdd-e231-45c3-bfde-991ae9549f0f ro quiet splash
ProcEnviron:
 LANG=de_DE.utf8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.34
SourcePackage: linux
dmi.bios.date: 01/27/2010
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68CDD Ver. F.04
dmi.board.name: 1722
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 29.2B
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68CDDVer.F.04:bd01/27/2010:svnHewlett-Packard:pnHPProBook6440b:pvr:rvnHewlett-Packard:rn1722:rvrKBCVersion29.2B:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP ProBook 6440b
dmi.sys.vendor: Hewlett-Packard

Revision history for this message
florianr (florianr-gmx) wrote :
Revision history for this message
florianr (florianr-gmx) wrote :

I found this entry in the ubuntuforum, affecting this bug (at least partial other users describe the symptomes I found). But I think it is important to make a difference betweens users system wide freezes and freezes that only affect the mouse and keyboard.
http://ubuntuforums.org/showthread.php?t=1478787

Revision history for this message
Igor Wojnicki (wojnicki) wrote :

I experience system wide freeze: Compaq Presario r3065us, P4 mobile, ATI 9200.

I use LiveCD, not being too brave to install an unstable OS.

The funny thing is that if I boot the system in the single mode ('init S' kernel option), drop to the root shell and start XOrg by calling startx, there are no hung ups.

If I boot the system in multi mode - it hangs in approx. 1 minute.

So, I'd guess that it's not the XOrg's fault, but the kernel's. I wonder if anyone can try the karmic kernel, and see if it works or not.

Revision history for this message
thecityofgold (simon-haighmail) wrote :

Consistent system freezing since installing Lucid. I've been through many of the fixes described in various forum threads and no joy. It happens randomly and results in a blank screen and total system lockup. A hard reboot is the only answer.

I've tested other OS's (Puppy and Fedora) and no such problem. Nothing in logs.

Asus M4A78LT-M. AMD RS780L. AMD Athlon 2 X3 435. integrated ATI 760G (Radeon 3000)

Revision history for this message
kai@perfectreign.com (kai-perfectreign) wrote :

In my testing of this, I found that xorg will show 100% utilization. I can ssh into the system (but not vnc) when in this state. I can issue commands such as /sbin/halt or reboot.

The issue will occur after sometimes one minute and sometimes after several hours.

I was using ext4 as the file system. I've since backed off to Ubuntu 9.1 and have not experienced this behavior.

Revision history for this message
Jeremy Foshee (jeremyfoshee) wrote :

Hi florianr,

If you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Revision history for this message
Igor Wojnicki (wojnicki) wrote :

According to StuartN (see: http://ubuntuforums.org/showthread.php?t=1478787) using 2.6.33 mainline kernel solves the problem. However jonolumb still experiences freezes (far less ofthe though).

There is an interesting thing with the recovery/single mode. According to bdcalvert and me, It seems that if booted in single/recovery mode, there are no freezes (or at least the're far far far less frequent).

Revision history for this message
Igor Wojnicki (wojnicki) wrote :

Still i'm not sure is this is a kernel or xorg issue....

Revision history for this message
florianr (florianr-gmx) wrote :

I am still testing the upstream kernel, running until now without any freeze. But that doesn't mean anything, because the freezes appeared randomly. Also with the main kernel I had some days without freezing. I will report the result of upstream testing tomorrow.

Revision history for this message
florianr (florianr-gmx) wrote :

Ok, I now had two freezes shortly after an other.

Things changed a little, for now I had two freezes, where only the keyboard and screen was frozen but I could still move the mouse around on the screen but without the possibility to klik anything. But that kind of freeze is also reported in the forums thread I posted above.

tags: removed: needs-upstream-testing
Revision history for this message
florianr (florianr-gmx) wrote :

btw: I have no blank screen, I have just a frozen screen, showing the desktop image without any change and not reakting on any keyboard input ot mouse klik action. A blank screen may indicate a different problem.

Changed in linux (Ubuntu):
status: Incomplete → Triaged
tags: added: kernel-graphics kernel-needs-review
Revision history for this message
databubble (phil-linttell) wrote :

Hi Florian,

I agree, my bug (586901) is a duplicate of yours - thanks for catching it. However, I would say kai's problem in the above comments is different, as I've never been able to ssh in after a freeze, and I gather you haven't either.

I see the exact same behaviour as you under the upstream kernel.... freezes where I can still move the mouse, but otherwise the same.

Hard for me to see it being graphics related, as I can still experiences freezes from a text console with X shut down (but with the system still under heavy load.)

Do you have VirtualBox installed?

Revision history for this message
florianr (florianr-gmx) wrote :

Hmm yes I have VirtualBox installed but not using it at the moment, should I give it a try removing it? I can't imagine that VirtualBox without running affects the system in the way it happens here ...

Revision history for this message
Tech2010 (technologyresearch2010) wrote :

I believe I see both of these conditions on the Intel dual-core Atom N330 motherboard.

I have a monitor with both DVI and VGA inputs. The board in question uses the VGA input. Fairly frequently, when I switch from DVI use back to VGA use, the screensaver is active. But the system is frozen. Pressing the CAPS LOCK key does not light the caps-lock light on the keyboard. The mouse does not work. At first, I thought USB was dead, but I cannot ssh to the box and a ping after that results in the report the system id down. A front-panel reset is all that revives the system. This is not new with 10.04, but seems very frequent with 10.04 now.

A second observation of a different scenario is that at times I seem to be unable to use the keyboard, nor can I use the mouse "inside an application window", but I can use the mouse to launch new applications. If I select the System Monitor, for example, it will launch, but I cannot select a specific process. However, I beleive that when I used a right-click, things started working again (memory foggy - it was late).

Most, but not all, of my lockups involve Thunderbird email being active, but not all. I also had VirtualBox installed, until I read this thread moments ago. Also, on a probably-unrelated sidenote, I use a ReadyNAS NAS unit. At some point, once of my systems, possibly this one, started waking the ReadyNAS every few minutes. I don't know if the nfs driver is doing something strange on this host, but that was not the normal ReadyNAS behavior on a system that was sitting idle.

Revision history for this message
Muhfi Asbin Sagala (moehfi) wrote :

I'm experience this bug too. As same as florianr, my screen is freeze. Sometimes my mouse (and keyboard maybe) stil can move, sometimes it doesn't. If mouse (and keyboard) still can move, Magic SysRq+REISUB works. But, if it doesn't move, Magic SysRq+REISUB not work at all.

Revision history for this message
G. Steel (germsteel) wrote :

Fresh install from desktop CD 10.04; Intel E2200 cpu, ECS 945GCT-M 1333 v.3 motherboard, ide cd, SATA HD, Intel GMA950 graphics, trendnet gigabit PCI ethernet card.

Symptoms: Same as other reports. Screen freezes: no mouse or keyboard. Pressing capslock does not turn light on or off. Update manager continues to download. Did 3 hard resets in 20 minutes. No previous problems running 8.10 or Suse SLES 10 SP2.

Deleted Ubuntuone to no avail. Hopefully somebody will come up with something. Might wind up backing off to 9.10.

Cheers,

  G. Steel

Revision history for this message
databubble (phil-linttell) wrote :

I removed virtualbox-3.2 just to eliminate outside code from the kernel, and because I saw a higher frequency of freezes with virtualbox running. System still froze with virtualbox removed.

Also tried going back to 2.6.32-21-generic, and still had the freezes. Three freezes so far today, with the system lightly loaded. Tried doing a DVD rip last night, and the system froze within seconds of starting the DVD rip.

Ran memtest for an hour.... no issues. Will try to run it overnight later in the week.

Revision history for this message
florianr (florianr-gmx) wrote :

Sugestion: Set importance to HIGH! This bug seems to affect quite a lot users and needs urgent review. Losing data is given risk.

Revision history for this message
databubble (phil-linttell) wrote :

Priority should be at least high. I experienced over a dozen crashes last night, as I tried various kernels. Finally my system wouldn't boot anymore - just a grub> prompt, and no menu. (I think, because the system froze while I was installing an old kernel/headers.) Took me about 3 hours to figure out how to get it working again (complicated by my booting from software RAID, and by the fact that for some reason grub2 was never installed, and there was no grub menu on either boot disk).

Apart from the hours/days of lost time, now I'm quite nervous about losing data as well. I want to help improve the distribution, but I need a stable system.... will probably have to revert to karmic on the weekend.

Revision history for this message
thecityofgold (simon-haighmail) wrote :

Tons of crashes still and I agree priority should be high.

If I'm playing music when the crash occurs I sometimes get as much as 5 seconds of stuttering. The same chunk of audio (length perhaps half a second) will play repeatedly several times before black screen of death. On the basis of this the root problem must be to do with disk I/O cache imho..

Revision history for this message
databubble (phil-linttell) wrote :

I've had the same behaviour while playing audio... a few seconds of audio playing over and over again, and no other response from the system (except possibly ping...didn't check that when it happened.)

If it's related to disk I/O... I boot from a RAID-1 EXT4 root file system, assembled from 2 x 1TB SATA II drives. The only other FS is an EXT4 filesystem on a 1.5TB SATA II drive used for MythTV recordings.

Revision history for this message
databubble (phil-linttell) wrote :

Okay, some progress. I was on a screen showing the System Monitor and some processor load widgets when I experienced my most recent "freeze". The System Monitor window went blank, but I could still move the mouse, and I could the processor load widgets kept running.... I could see that both cores had gone solidly to 100%. I clicked on the desktop icon for konsole.... about 5 minutes later, I got a pop up message saying that the application couldn't be started. I let the system continue to run for almost 20 minutes... the mouse and keyboard froze, however the system still responded quickly to external pings, and there was regular flashing of the disk activity light.... which I believe was from an HD-PVR recording to a separate drive that was in progress at the time of the freeze.

So, it's not a "real" freeze... something is stealing 100% CPU time, such that you can't even toggle numlock on the keyboard. The kernel is still alive.... responding to networking pings, and the HD-PVR driver is still taking data from USB and storing it to disk.

So, I started hunting logs from the time of the freeze. The attached kern.log shows what happened during that very busy period. The following message seems to have been the start my systems "flash forward" ;-) .... more info in the log.

Jun 1 14:25:04 family kernel: [52468.400821] BUG: soft lockup - CPU#1 stuck for 61s! [soffice.bin:6615]

Revision history for this message
databubble (phil-linttell) wrote :

Me again. ;-) Checking my old logs further, I found 92 incidents of "BUG: soft lockup" from a variety of processes (kswapd, soffice.bin, mythbackend, firefox-bin, soffice.bin). In each case, the CPU (sometimes CPU#0, sometimes CPU#1... I only have two cores) is stuck for a reported 61s.

Googling "lucid BUG soft lockup 61s" reveals 100's of threads and dozens of related bug reports... not just ubuntu, either. Some suggesting it's KMS related, and that "nomodeset" in the kernel boot options is a possible work around. Will give it a try and report back.

Revision history for this message
databubble (phil-linttell) wrote :

Well...so much for that theory. nomodeset did not stop the lock-ups for me. Did not get a soft lockup message this time, but I may have rebooted before it was written to the log.

Revision history for this message
florianr (florianr-gmx) wrote :

May be I did reboots to fast too, I don't have any soft lockup messages in kern.log

Revision history for this message
Nomax (nomax) wrote :

From bug #569011:

It happens on a Compaq Deskpro ENL/P866 here. It's a Pentium III 866Mhz with an Intel 815 chipset and an Nvidia graphic card.

The system freezes randomly and Ctrl-Alt-SysRq-B is the only way to reboot.

It happens:
- with kernel 2.6.32-22
- in GUI

It DOESN'T happen:
- with kernel 2.6.31-21
- in text mode (tty)

Just tested with mainline kernel 2.6.34 #020634 and no freeze happens anymore.
Unfortunately, I'm stuck in 1600x1200 at 60Hz on 17" CRT with this kernel making the PC hardly usable for a long time.

Revision history for this message
kai@perfectreign.com (kai-perfectreign) wrote :

Just a reminder that I was often seeing 100% utilization in top from xorg. Sometimes after a few hours sometimes after only a few minutes. Having Namoroka/Firefox running or not didn't seem to matter...

http://ubuntuforums.org/showpost.php?p=9347730&postcount=192

I was always able to login into the system from another machine through ssh and issue a shutdown command.

Revision history for this message
liamdawe (liamdawe) wrote :

I also have this issue, it can range from having nothing open and simply moving the mouse, to doing hours of work and it freezes.

It has happened for me since Jaunty and no one can seem to pinpoint what it is.

Revision history for this message
Tech2010 (technologyresearch2010) wrote :

It is probably not definitive but I have not had a freeze since I removed VirtualBox OSE from the system four days ago. I have intentionally left Thunderbird running, randomly checking remote email accounts. I'm am encouraged but not yet convinced.

Revision history for this message
James Clemence (jvc26) wrote : Re: [Bug 585765] Re: Ubuntu 10.04 random freezes
Download full text (3.7 KiB)

I don't have virtualbox installed, so that's not related to my issues, still getting frequent freezes, not happening with upstream.

J

Sent using BlackBerry® from Orange

-----Original Message-----
From: Tech2010 <email address hidden>
Date: Thu, 03 Jun 2010 02:51:19
To: <email address hidden>
Subject: [Bug 585765] Re: Ubuntu 10.04 random freezes

It is probably not definitive but I have not had a freeze since I
removed VirtualBox OSE from the system four days ago. I have
intentionally left Thunderbird running, randomly checking remote email
accounts. I'm am encouraged but not yet convinced.

--
Ubuntu 10.04 random freezes
https://bugs.launchpad.net/bugs/585765
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Status in “linux” package in Ubuntu: Triaged
Status in “xorg-server” package in Ubuntu: New

Bug description:
Hello,

on my new laptop, a HP ProBook 6440b (with Core i5 and a plain Intel Chipset, 4GB RAM) I get randomly freezes of the whole system. I can't reproduce that, what means I don't know a aplication or usage of the system making it freeze. sometimes I have uptimes of a day, without freeze and sometimes it freezes right after booting the system.

I found out, that sometimes the MagicSysRQ (R-E-I-S-U-B) works and let me shut down the system, sometimes not. I don't know what makes that difference. In the system log I can't find any unusual entries. But I foun that the system log is still runing, so shuting down the wifi with the notebooks hardware switch for example is logged. Also the Wifi network connection to my router is not interrupted.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: linux-image-2.6.32-22-generic 2.6.32-22.33
Regression: No
Reproducible: No
ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-22-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: florian 1689 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd4900000 irq 17'
   Mixer name : 'Intel G45 DEVIBX'
   Components : 'HDA:111d7603,103c1722,00100202 HDA:11c11040,103c3066,00100200 HDA:80862804,80860101,00100000'
   Controls : 23
   Simple ctrls : 14
Date: Wed May 26 11:03:07 2010
EcryptfsInUse: Yes
Frequency: Once a day.
HibernationDevice: RESUME=UUID=24088f3d-7be1-4efd-a05a-d1fac42086df
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
MachineType: Hewlett-Packard HP ProBook 6440b
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-22-generic root=UUID=ac1bccdd-e231-45c3-bfde-991ae9549f0f ro quiet splash
ProcEnviron:
 LANG=de_DE.utf8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.34
SourcePackage: linux
dmi.bios.date: 01/27/2010
dmi.bios.vendor: Hewle...

Read more...

Revision history for this message
databubble (phil-linttell) wrote : Re: Ubuntu 10.04 random freezes

I had a freeze during the night, with the last message that was written kern.log:

Jun 3 01:21:47 family kernel: [13403.676449] do_IRQ: 0.177 No irq handler for vector (irq -1)

Examining the log more closely, I've had four freezes in the last 24 hours... in each case, there are between 1 and 4 incidents of "No irq handler for vector (irq -1)" in the log just before the freeze. In one case, the message was followed by the "CPU soft lockup" message just before the freeze.

However, there are a few incidents of "No irq handler for vector (irq -1)" which did not result in a freeze. And, I've had freezes just after the the "CPU soft lockup" message, where the "No irq handler" message didn't appear.

So, while neither "No irq handler" nor the "CPU soft lockup" message may be the smoking gun, there is at least the stench of gunpowder nearby.

This is back on the current lucid kernel 2.6.32-22-generic.

Revision history for this message
Spindoctor (m2m) wrote :

Hi!

I'm also affected by this very annoying bug.

I run Ubuntu 10.04 (updated from 9.10) with an old Athlon XP 2500 on an Asus a7n8x deluxe mainboard. My graphic device is an ATI Radeon 9200 SE.

However, I think I can reproduce this bug as my system freezes almost anytime I run Thunderbird.

Revision history for this message
Tech2010 (technologyresearch2010) wrote :

For my system, last night's kernel reintroduced the bug. The kernel before did not have it.

Ubuntu 10.04 LTS, kernel 2.6.32-22-generic freezes.
Ubuntu 10.04 LTS, kernel 2.6.32-21-generic does not.

Your mileage may vary.

With -21 I was able to go five days without a freeze.
With -22, I have five (5) freezes while using the system on one night.

Revision history for this message
databubble (phil-linttell) wrote :

I had 3 freezes yesterday. In each case the last entry in kern.log was:

do_IRQ: 0.189 No irq handler for vector (irq -1)
(Sometimes the number is 0.175, 0.177).

(Interestingly, there have been no instances of the "BUG: CPU soft lockup" messages in the last two days.

I ran a memory test overnight and it was clean.

I also tested kernel 2.6.31-02063112-generic, 2.6.34-020634-generic, 2.6.35-020635rc1-generic today. All of these froze.

In exasperation, I booted this morning with "noapic nolapic acpi=off" on the grub kernel parameters with current 2.6.32-22-generic. This disables all power management (as I understand it), such that my system is running full-out all the time.

The system has been running solid ever since. Even with torture testing it with a DVD rip in Handbrake, Virtualbox, MythTV recording and commercial flagging, an h264 transcode, and Amarok playing.... all running simultaneously. The DVD rip alone would have been enough to lock the system up within a few minutes without "noapic nolapic acpi=off".

This is not desirable work-around, or a long-term solution, but it at least lets me work for the moment, and allows me to continue helping debug rather than reverting back to karmic.

To re-iterated: this system has been working fine for over a year with karmic and jaunty, with power management. This is a regression with Lucid, and the issue is present with upstream kernels as well.

It would be very nice if someone could assign a more appropriate "High Priority" to this issue and we could get some attention from some devs before this bug report becomes a confused with too many un-related freezes.

Revision history for this message
Tech2010 (technologyresearch2010) wrote :

Here's what happens when the system does NOT freeze but the keyboard doesn't work inside any applications:

Jun 5 17:23:13 ATOM2 kernel: [15972.360061] hub 2-0:1.0: port 1 disabled by hub (EMI?), re-enabling...
Jun 5 17:23:13 ATOM2 kernel: [15972.360073] usb 2-1: USB disconnect, address 2
Jun 5 17:23:13 ATOM2 kernel: [15972.704030] usb 2-1: new low speed USB device using uhci_hcd and address 4
Jun 5 17:23:14 ATOM2 kernel: [15972.908629] usb 2-1: unable to read config index 0 descriptor/all
Jun 5 17:23:14 ATOM2 kernel: [15972.908640] usb 2-1: can't read configurations, error -71
Jun 5 17:23:14 ATOM2 kernel: [15973.020048] usb 2-1: new low speed USB device using uhci_hcd and address 5
Jun 5 17:23:14 ATOM2 kernel: [15973.198530] usb 2-1: unable to read config index 0 descriptor/start: -71
Jun 5 17:23:14 ATOM2 kernel: [15973.198538] usb 2-1: chopping to 0 config(s)
Jun 5 17:23:14 ATOM2 kernel: [15973.206529] usb 2-1: string descriptor 0 read error: -71
Jun 5 17:23:14 ATOM2 kernel: [15973.206765] usb 2-1: no configuration chosen from 0 choices

This continues on until you reboot.

Revision history for this message
julius (jybumaat-gmail) wrote :

Guys, i just found a solution on how to end the random freezing problem in Ubuntu 10.04. I have tried disabling the Visual Effects a.k.a. Compiz by going to Preference - Appearance - Visual Effects, then check the None button. Thats how I did with my system and there are no more random freeze. The bad thing is that there are no more visual effects but I can live with the Metacity features in Gnome. My system works faster, now that I turned off Compiz.

Revision history for this message
James Clemence (jvc26) wrote : Re: [Bug 585765] Re: Ubuntu 10.04 random freezes

On 06/06/10 15:24, julius wrote:
> Guys, i just found a solution on how to end the random freezing problem
> in Ubuntu 10.04. I have tried disabling the Visual Effects a.k.a.
> Compiz by going to Preference - Appearance - Visual Effects, then check
> the None button.

I still get freezes with Compiz on or off unfortunately. Cheers for the
heads up though, it might help others - that suggests that there is a
cause of freezing courtesy of compiz - might be a place for another bug
report.

J

Revision history for this message
cgerman77 (cgerman77) wrote : Re: Ubuntu 10.04 random freezes

I disabled proprietary nvidia drivers in Ubuntu 10.04 and Visual Efects changed to None. For now, it is working fine. Let us see what happens in the next hours.

Revision history for this message
databubble (phil-linttell) wrote :

Just so we don't get too many unrelated freezes being tracked in this thread... the symptoms characterized by florianr were:
- issue was NOT present prior to 10.04
- intermittent system-wide freezes
- frozen image on screen, showing the desktop image without any change and not taking mouse/keyboard actions
- sometimes MagicSysRQ (R-E-I-S-U-B) works, sometimes not.
- system log is still active for some time after the freeze appears to happen
- system logs do not contain any obvious/consistent message that identify the cause of the freeze
- issue is STILL present testing with upstream kernels (except that you may be able to continue moving the mouse or a period of time)
- not a memory issue
- system stays connected via wireless (if using wireless)
- issue appears on very different hardware (intel CPU and. AMD,; intel video and nVidia),
- not related to a specific desktop (gnome and kde) or a specific application (e.g. virtualbox, firefox, etc.)

From my own observations:
- a freeze can be provoked by running processes with high CPU (and possibly disk I/O) such as with handbrake
- I've been able to prompt freezes with no desktop or X server running.... although I don't know if florianr can confirm this on his system. As such, I doubt the problem can be compiz or xorg related (although, note that it may be processor load related, as as such something like compositing could make a system more likely to freeze)
- I can eliminate freezes by booting with kernel parameters "noapic nolapic acpi=off"

florianr, so we can see whether we're still dealing with the same bug or not, could you please verify:
- your system still responds to pings when "frozen" (and you can't ssh in)
- your system doesn't freeze if you boot with kernel parameters "noapic nolapic acpi=off"

Others, if your symptoms are different from those above, you may want to start a new bug report.

Revision history for this message
mudcat (chrishopp) wrote :

I have Lucid installed on three PCs. Here are the devices and status:

1. ThinkPad T41p
ATI FireGL (128 MB); Compiz enabled
Version: Lucid 32 bit upgraded from Karmic via Update Manager
Status: stable

2. ThinkPad T42
ATI Mobility Radeon 7500 (32 MB); Compiz enabled
Version: Lucid 32 bit; fresh install
Status: random freezing; always freezing at blank screensaver; freezing usually on Firefox or Chromium; freezes tend to be clustered (suspect possible issue with certain web sites which may be reloaded after hard reboot); this laptop was stable with Karmic and openSUSE 11.2 - no hardware issues are suspected

3. Custom Desktop (Intel Pentium D 805)
ATI Mobility Radeon 9600 (256 MB); Compiz enabled
Version: Lucid 64 bit; fresh install
Status: stable

I have scoured various blogs and forums and tried every suggestion I could find to stabilize the T42, including:
a. Custom xorg.conf
b. radeon.modeset=0 in GRUB (also tried nomodeset)
c. Set screensaver to other than blank screen (the laptop would still freeze at some point after the screensaver kicked in)

Initially, I thought that some changes had made a difference. However, the randomness of this issue can make a one hour freeze-free session seem like an improvement. Soon enough, though, I would find the system locking every two minutes, five minutes, ten minutes, etc.

However, I think I have finally found a solution without downgrading to Karmic: I had seen where some users with Intel graphics cards had experienced success downgrading the kernel to linux-image-rt (2.6.31.10.12). While I certainly don't have a need for a real time kernel, this was the only kernel in the default Ubuntu Lucid repositories that was based on 2.6.31 and not 2.6.32. I didn't want to go with a nightly build or PPA. I wanted to stick with the stock repo, if possible. Sure enough, I've been operating nearly two full days without a lockup. The screensaver kicks in appropriately and comes out of screensaver mode (which the laptop previously had not done). In aggregate, I've had hours of use without any issue whatsoever. Previously, I would have expected anywhere from 4-12 freezes.

This laptop still has all the various changes that I've made, so I can't yet tell whether it is the kernel alone or if it is the downgraded (plus real time) kernel in conjunction with one of the other changes I have made. I will shortly rebuild this laptop with a custom remaster (using Remastersys) with the linux-image-rt kernel as the sole change. I expect this will work without any special change to xorg.conf or GRUB, but will report back if this fails and the freezes return

Grisha J (jiliba)
Changed in linux (Ubuntu):
status: Triaged → Confirmed
Igor Wojnicki (wojnicki)
tags: added: kernel-bug regression-release
Steve Conklin (sconklin)
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
florianr (florianr-gmx)
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Triaged
Pascal Roy (carignankg)
Changed in linux (Ubuntu):
status: Triaged → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Triaged
Bryce Harrington (bryce)
Changed in xorg-server (Ubuntu):
status: New → Confirmed
Steve Conklin (sconklin)
Changed in xorg-server (Ubuntu):
assignee: nobody → Steve Conklin (sconklin)
assignee: Steve Conklin (sconklin) → nobody
Changed in linux (Ubuntu):
assignee: nobody → Steve Conklin (sconklin)
tags: added: kernel-reviewed
removed: kernel-needs-review
Changed in linux (Ubuntu):
status: Triaged → Confirmed
Steve Conklin (sconklin)
Changed in linux (Ubuntu):
assignee: Steve Conklin (sconklin) → Ubuntu Kernel Team (ubuntu-kernel-team)
173 comments hidden view all 253 comments
Revision history for this message
Fran (frbastida) wrote : Re: [Bug 585765] Re: Ubuntu 10.04 random freezes
Download full text (3.8 KiB)

I installed time ago Ubuntu 10.10 and stopped keyboard and mouse
freezing. Same hardware, no changes on it.

2011/1/10, John Bruno <email address hidden>:
> For my version of the bug (See post #210) I'm having similar results as
> julius, 2.6.32-27 seems to have stopped the freeze, Although I'm still
> using the acpi=force irqpoll boot options. My next step will be to
> remove those and see if my system is still stable.
>
> As always I urge everyone to check this bug report and the one at
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/627862
> and post in the one that matches your specific symptoms.
>
> Thanks!
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/585765
>
> Title:
> Ubuntu 10.04 random freezes
>
> Status in The Linux Kernel:
> New
> Status in “linux” package in Ubuntu:
> Confirmed
> Status in “xorg-server” package in Ubuntu:
> Confirmed
>
> Bug description:
> Hello,
>
> on my new laptop, a HP ProBook 6440b (with Core i5 and a plain Intel
> Chipset, 4GB RAM) I get randomly freezes of the whole system. I can't
> reproduce that, what means I don't know a aplication or usage of the system
> making it freeze. sometimes I have uptimes of a day, without freeze and
> sometimes it freezes right after booting the system.
>
> I found out, that sometimes the MagicSysRQ (R-E-I-S-U-B) works and let me
> shut down the system, sometimes not. I don't know what makes that
> difference. In the system log I can't find any unusual entries. But I foun
> that the system log is still runing, so shuting down the wifi with the
> notebooks hardware switch for example is logged. Also the Wifi network
> connection to my router is not interrupted.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: linux-image-2.6.32-22-generic 2.6.32-22.33
> Regression: No
> Reproducible: No
> ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
> Uname: Linux 2.6.32-22-generic x86_64
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
> Subdevices: 2/2
> Subdevice #0: subdevice #0
> Subdevice #1: subdevice #1
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: florian 1689 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xd4900000 irq 17'
> Mixer name : 'Intel G45 DEVIBX'
> Components : 'HDA:111d7603,103c1722,00100202
> HDA:11c11040,103c3066,00100200 HDA:80862804,80860101,00100000'
> Controls : 23
> Simple ctrls : 14
> Date: Wed May 26 11:03:07 2010
> EcryptfsInUse: Yes
> Frequency: Once a day.
> HibernationDevice: RESUME=UUID=24088f3d-7be1-4efd-a05a-d1fac42086df
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
> MachineType: Hewlett-Packard HP ProBook 6440b
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-22-generic
> root=UUID=ac1bccdd-e231-45c3-bfde-991ae9549f0f ro quiet splash
> ProcEnviron:
> LANG=de_DE.utf8...

Read more...

Revision history for this message
tasadar_f (tasadarf) wrote : Re: Ubuntu 10.04 random freezes

I have similar problem in Ubuntu 10.04

Revision history for this message
aaron (nelaaro) wrote :

I spent about 3 month with my machine in single user recovery boot up which worked fine.
As soon as I go past init S into init 2,3,4,5 system hangs. Total system lock up.
If i tried to go back to init S after $ telinit 2,3,4,5 or $ init 2,3,4,5. it would still hang.
It would consistintly freeze or restart at about 30 after xserver started. Whether I logged in or not.
Nothing of interest in the log files. no errors, just normal messages.

I have not tried to ssh into the system.

I spent the last 2 days going through the /etc/init.d/ and /etc/rc*.d/ to try and figure out why this was limited to runlevel above single user.
runlevel 2 through 5 are the same. Default in Ubuntu is init 2
$who -r # will show you what init level your are currently in.

I found the offending script to be in
$ file /etc/rc2.d/S99ondemand
/etc/rc2.d/S99ondemand: symbolic link to `../init.d/ondemand'

when i renamed it
$cd /etc/init.d/
$mv ondemand bk.ondemand

Boot back into normal standard ubuntu every thing is going fine now
$uptime
 14:17:43 up 1:04, 2 users, load average: 0.73, 0.68, 0.69

ondemand is the system CPU governor.
$ cat /etc/init.d/ondemand | grep -i short
# Short-Description: Set the CPU Frequency Scaling governor to "ondemand"

I hope that helps the debug team and give people a possible fix.

Revision history for this message
aaron (nelaaro) wrote :
Download full text (4.2 KiB)

I don't believe this is a problem with Xorg or Xserver.

Sorry for got to post my specs
Lucid 10.04 lts

$ uname -a
Linux aaronwk 2.6.32-28-generic #55-Ubuntu SMP Mon Jan 10 21:21:01 UTC 2011 i686 GNU/Linux

Selected lshw output

description: Desktop Computer
    product: SB95V20
    vendor: Shuttle Inc
    width: 32 bits
    capabilities: smbios-2.2 dmi-2.2 smp-1.4 smp
    configuration: boot=normal chassis=desktop cpus=1
  *-core
       description: Motherboard
       product: FB95V20
       vendor: Shuttle Inc
       physical id: 0
     *-firmware
          description: BIOS
          vendor: Phoenix Technologies, LTD
          physical id: 0
          version: 6.00 PG (09/15/2005)
          size: 128KiB
          capacity: 448KiB
          capabilities: isa pci pnp apm upgrade shadowing cdboot bootselect socketedrom edd int13floppy360 int13floppy1200 int13floppy720 int13floppy2880 int5printscreen int9keyboard int14serial int17printer int10video acpi usb ls120boot zipboot
     *-cpu
          description: CPU
          product: Intel(R) Pentium(R) 4 CPU 3.40GHz
          vendor: Intel Corp.
          physical id: 4
          bus info: cpu@0
          version: 15.6.5
          serial: 0000-0F65-0000-0000-0000-0000
          slot: Socket 478
          size: 3400MHz
          capacity: 4GHz
          width: 64 bits
          clock: 200MHz
          capabilities: boot fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx x86-64 constant_tsc pebs bts pni dtes64 monitor ds_cpl est tm2 cid cx16 xtpr pdcm lahf_lm cpufreq
          configuration: id=1
        *-cache
             description: L1 cache
             physical id: a
             slot: Internal Cache
             size: 32KiB
             capacity: 32KiB
             capabilities: synchronous internal write-back
        *-logicalcpu:0
             description: Logical CPU
             physical id: 1.1
             width: 64 bits
             capabilities: logical
        *-logicalcpu:1
             description: Logical CPU
             physical id: 1.2
             width: 64 bits
             capabilities: logical
   *-memory
          description: System Memory
          physical id: 1c
          slot: System board or motherboard
          size: 2771MiB
 *-pci
          description: Host bridge
          product: 82925X/XE Memory Controller Hub
          vendor: Intel Corporation
          physical id: 100
          bus info: pci@0000:00:00.0
          version: 04
          width: 32 bits
          clock: 33MHz
        *-pci:0
             description: PCI bridge
             product: 82925X/XE PCI Express Root Port
             vendor: Intel Corporation
             physical id: 1
             bus info: pci@0000:00:01.0
             version: 04
             width: 32 bits
             clock: 33MHz
             capabilities: pci pm msi pciexpress bus_master cap_list
             configuration: driver=pcieport
             resources: irq:24 ioport:c000(size=4096) memory:b0000000-cfffffff memory:d0300000-d03fffff(prefetchable)

 *-display
                description: VGA compatible controller
            ...

Read more...

Revision history for this message
Conor Moran (conor-j-moran) wrote :

I've posted on this before.
I was getting black screen freezes first on ubuntu, then on pclinuxos. Sometimes stable for up to a day - sometimes crashed 3/4 times in a day.
The issue appears to be finally resolved - I just installed new Debian release "squeeze" a couple of days back. No crashsince. Seems debian is living up to it's "rock solid" reputation so far. I'm keeping my fingers crossed ... but so far so good.

Revision history for this message
John Bruno (jbalaska) wrote :

As I've posted in this bug thread, I have moved my posting to the bug report that EXACTLY discribes MY version of this bug, Here: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/627862

The gist of my latest post there is that upgrading to kernel 2.6.35-27-generic #48-Ubuntu SMP Tue Feb 22 20:25:46 UTC 2011 x86_64 GNU/Linux ( Ubuntu 10.10) seems to have fixed my freezing issue. Since there are several different freeze conditions posted in this thread, you might want to check out the other bug report and see if the symptoms exactly match yours.

Good luck,
John

Revision history for this message
Sebastian (sebastianhaselbeck) wrote :

random freezes also in natty

Revision history for this message
Sebastian (sebastianhaselbeck) wrote :

can someone also nominate this for natty and look whether

https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/763422

is similar?

Revision history for this message
Sebastian (sebastianhaselbeck) wrote :

definitely still encountering random freezes. albeit less than before... brand new thinkpad edge, latest natty with all updates... amd/radeon combo, 64bit

Revision history for this message
ischoegl (ischoegl) wrote :

Sebastian,
Check your wifi card - I've endured random freezes on my ThinkPad (a T410) for over a year. I narrowed my freezes down to the Realtek Wifi card that appears to be installed on a lot of thinkpads: mine's

lspci | grep RTL
03:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8191SEvB Wireless LAN Controller (rev 10)

The drivers that were packaged with lucid caused the system to freeze randomly on certain wireless networks. The drivers downloaded from Realtek worked better. However, all of what I've said holds for lucid ...

Revision history for this message
John Bruno (jbalaska) wrote :

New Update: In my case the freezes were caused by a Logitech S510 KB/Mouse USB combo. Once I removed the receiver and went to a standard wired mouse and PS2 KB the pointer freezes are 100% cured.

The receiver has a PS2 option plug on a -Y- cable, but it also causes the freeze issue.

So if your using this or another wireless KB or Mouse, you might try to use a wired unit(s) to check if this cures the freeze issue.

For me, I'll bite the bullet for now an use a wired solution, To bad as the Logitech S510 KB is very nice (Mouse, not so much lol), so I used my old USB MX500 and left the combo mouse turned off.
Note: even with the USB MX500 unplugged, using the crappy mouse that came with the S510 combo the freeze still occurred.

Now using the USB MX500 and a old PS2 wired KB, the pointer freeze is no longer a issue for me.

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

this has grown into a generic "i'm freezing!" bug, closing for xserver.

Changed in xorg-server (Ubuntu):
status: Confirmed → Invalid
Revision history for this message
Seth Forshee (sforshee) wrote :

Seems likely that there are multiple issues being encountered here, but I suspect that if you have Intel graphics and see 100% CPU usage by Xorg you may be encountering bug 599017. If so the frequency of the hangs probably diminishes in maverick and disappears completely in natty. There are some test kernels posted on that bug for lucid (see comment #34) if anyone wants to give them a try.

Revision history for this message
okasion (okasion) wrote :

Me too, I have a:
Linux lyrica 2.6.32-33-generic #72-Ubuntu SMP Fri Jul 29 21:07:13 UTC 2011 x86_64 GNU/Linux Ubuntu 10.04 LTS
and have been experienced many freezes after Gnome starts. After a hard reboot, it doesn't freeze anymore, but this bug it's terrible, Canonical should hurry up and fix this please.

Revision history for this message
hoover (uwe-schuerkamp) wrote :

here's a recent dmesg output from before the crash that may or may not be helpful:

[228817.604006] Call Trace:
[228817.604006] [<c01e35d0>] pagevec_lookup+0x20/0x30
[228817.604006] [<c01e4891>] truncate_inode_pages_range+0x141/0x2d0
[228817.604006] [<c01e4a3f>] truncate_inode_pages+0x1f/0x30
[228817.604006] [<c022ec07>] generic_delete_inode+0xe7/0x110
[228817.604006] [<c022ec85>] generic_drop_inode+0x55/0x70
[228817.604006] [<c022dd4c>] iput+0x4c/0x60
[228817.604006] [<c0225d15>] do_unlinkat+0xd5/0x180
[228817.604006] [<c0225dd5>] sys_unlink+0x15/0x20
[228817.604006] [<c05cc284>] syscall_call+0x7/0xb
[228883.104006] BUG: soft lockup - CPU#0 stuck for 61s! [update-apt-xapi:29635]
[228883.104006] Modules linked in: nls_iso8859_1 nls_cp437 vfat fat usb_storage vboxnetadp vboxnetflt vboxdrv binfmt_misc parport_pc ppdev nfsd nfs lockd fscache nfs_acl auth_rpcgss sunrpc dm_crypt lnbp21 stv0299 nvidia(P) snd_via82xx gameport snd_ac97_codec dvb_ttpci dvb_core ac97_bus snd_pcm saa7146_vv videodev snd_page_alloc snd_mpu401_uart v4l1_compat saa7146 snd_seq_midi snd_rawmidi videobuf_dma_sg videobuf_core shpchp snd_seq_midi_event snd_seq ttpci_eeprom snd_timer snd_seq_device lp usblp k8temp i2c_viapro snd parport soundcore xfs exportfs dm_raid45 xor btrfs zlib_deflate crc32c libcrc32c usbhid hid r8169 amd64_agp pata_via mii agpgart sata_via

Process update-apt-xapi (pid: 29635, ti=ec918000 task=c17a4c20 task.ti=ec918000)
[229079.600007] Stack:
[229079.600007] 0000000e 0000000e f0ccf8d8 00000000 0000000e 00000000 00000000 ec919ea8
[229079.600007] <0> ec919ea0 0000000e 00000000 ec919e80 c01e35d0 ec919ea8 cade52c0 ec919eec
[229079.600007] <0> c01e4891 0000000e 00000000 00000000 00000000 f0ccf8d4 ffffffff 00000000
[229079.600007] Call Trace:
[229079.600007] [<c01e35d0>] ? pagevec_lookup+0x20/0x30
[229079.600007] [<c01e4891>] ? truncate_inode_pages_range+0x141/0x2d0
[229079.600007] [<c01e4a3f>] ? truncate_inode_pages+0x1f/0x30
[229079.600007] [<c022ec07>] ? generic_delete_inode+0xe7/0x110
[229079.600007] [<c022ec85>] ? generic_drop_inode+0x55/0x70
[229079.600007] [<c022dd4c>] ? iput+0x4c/0x60
[229079.600007] [<c0225d15>] ? do_unlinkat+0xd5/0x180
[229079.600007] [<c0225dd5>] ? sys_unlink+0x15/0x20
[229079.600007] [<c05cc284>] ? syscall_call+0x7/0xb
[229079.600007] Code: 08 c7 45 ec 00 00 00 00 c7 45 e8 00 00 00 00 89 55 f0 8d 76 00 8b 4d f0 8b 01 8b 10 85 d2 74 37 f6 c2 01 75 4d 8b 5a 04 8d 7a 04 <85> db 74 eb 8d 73 01 89 d8 f0 0f b1 72 04 39 c3 89 c1 75 54 8b
[229079.600007] Call Trace:
[229079.600007] [<c01e35d0>] pagevec_lookup+0x20/0x30
[229079.600007] [<c01e4891>] truncate_inode_pages_range+0x141/0x2d0
[229079.600007] [<c01e4a3f>] truncate_inode_pages+0x1f/0x30
[229079.600007] [<c022ec07>] generic_delete_inode+0xe7/0x110
[229079.600007] [<c022ec85>] generic_drop_inode+0x55/0x70
[229079.600007] [<c022dd4c>] iput+0x4c/0x60
[229079.600007] [<c0225d15>] do_unlinkat+0xd5/0x180
[229079.600007] [<c0225dd5>] sys_unlink+0x15/0x20
[229079.600007] [<c05cc284>] syscall_call+0x7/0xb

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

florianr, thank you for reporting this and helping make Ubuntu better. This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please capture the oops information noted in https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Capturing_OOPs ? As well, can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: needs-upstream-testing
Revision history for this message
TheDreamer (thedreamer-lhaven) wrote : apport information

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: lchen 3043 F.... pulseaudio
 /dev/snd/pcmC1D0p: lchen 3043 F...m pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xe0420000 irq 22'
   Mixer name : 'SigmaTel STAC9271D'
   Components : 'HDA:83847627,107b604d,00100201'
   Controls : 37
   Simple ctrls : 24
Card1.Amixer.info:
 Card hw:1 'default'/'C-Media INC. USB Sound Device at usb-0000:00:1d.2-1, full speed'
   Mixer name : 'USB Mixer'
   Components : 'USB0d8c:0103'
   Controls : 3
   Simple ctrls : 2
DistroRelease: Ubuntu 10.04
Frequency: Once a day.
HibernationDevice: RESUME=UUID=d7af885c-20e6-4dcf-a0d4-5c2052dddff7
InstallationMedia: Ubuntu-Server 10.04 LTS "Lucid Lynx" - Release amd64 (20100427)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.

 vboxnet0 no wireless extensions.
MachineType: Gateway GT5636E
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.32-40-server root=/dev/mapper/vg0-root ro vga=normal rootflags=data=writeback crashkernel=384M-2G:64M,2G-:128M noplymouth
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/usr/bin/tcsh
ProcVersionSignature: Ubuntu 2.6.32-40.87-server 2.6.32.57+drm33.23
Regression: Yes
RelatedPackageVersions: linux-firmware 1.34.7
Reproducible: No
RfKill:

Tags: lucid regression-potential needs-upstream-testing
Uname: Linux 2.6.32-40-server x86_64
UserGroups: adm admin backuppc boinc cdrom dialout freerad lhaven lpadmin plugdev proxy sambashare vboxusers
dmi.bios.date: 09/25/2007
dmi.bios.vendor: Intel Corp.
dmi.bios.version: MQ96510J.15A.0382.2007.0925.1915
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: DG965OT
dmi.board.vendor: Intel Corporation
dmi.board.version: AAD63733-207
dmi.chassis.type: 2
dmi.modalias: dmi:bvnIntelCorp.:bvrMQ96510J.15A.0382.2007.0925.1915:bd09/25/2007:svnGateway:pnGT5636E:pvr:rvnIntelCorporation:rnDG965OT:rvrAAD63733-207:cvn:ct2:cvr:
dmi.product.name: GT5636E
dmi.sys.vendor: Gateway

tags: added: apport-collected
Revision history for this message
TheDreamer (thedreamer-lhaven) wrote : AlsaDevices.txt

apport information

Revision history for this message
TheDreamer (thedreamer-lhaven) wrote : AplayDevices.txt

apport information

Revision history for this message
TheDreamer (thedreamer-lhaven) wrote : ArecordDevices.txt

apport information

Revision history for this message
TheDreamer (thedreamer-lhaven) wrote : BootDmesg.txt

apport information

Revision history for this message
TheDreamer (thedreamer-lhaven) wrote : Card0.Amixer.values.txt

apport information

Revision history for this message
TheDreamer (thedreamer-lhaven) wrote : Card0.Codecs.codec.2.txt

apport information

Revision history for this message
TheDreamer (thedreamer-lhaven) wrote : Card1.Amixer.values.txt

apport information

Revision history for this message
TheDreamer (thedreamer-lhaven) wrote : CurrentDmesg.txt

apport information

Revision history for this message
TheDreamer (thedreamer-lhaven) wrote : Lspci.txt

apport information

Revision history for this message
TheDreamer (thedreamer-lhaven) wrote : Lsusb.txt

apport information

Revision history for this message
TheDreamer (thedreamer-lhaven) wrote : PciMultimedia.txt

apport information

Revision history for this message
TheDreamer (thedreamer-lhaven) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
TheDreamer (thedreamer-lhaven) wrote : ProcInterrupts.txt

apport information

Revision history for this message
TheDreamer (thedreamer-lhaven) wrote : ProcModules.txt

apport information

Revision history for this message
TheDreamer (thedreamer-lhaven) wrote : UdevDb.txt

apport information

Revision history for this message
TheDreamer (thedreamer-lhaven) wrote : UdevLog.txt

apport information

Revision history for this message
TheDreamer (thedreamer-lhaven) wrote : WifiSyslog.txt

apport information

Revision history for this message
Hawk (rthawkcom) wrote : Re: Ubuntu 10.04 random freezes

Can anyone post information on what I can do to help track this problem down?

It doesn't lock up, it just freezes for a random amount of time, then continues on like nothing ever happened. No log entries, nothing. It didn't do this before, this is recent! Nothing has changed on the server. I suspect something that came in with a software update. Seems to only do it when I am telnet'ed in working on the command line. Very strange how it will hang... ... ... then carry on like nothing ever happened!

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Hawk, please execute the following in the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

Revision history for this message
Runar Ingebrigtsen (ringe) wrote :

I have the same issue in 12.04 with my HP ProBook 6470b: See bug #1073963

summary: - Ubuntu 10.04 random freezes
+ [HP ProBook 6440b] Ubuntu 10.04 random freezes
Changed in linux (Ubuntu):
assignee: Ubuntu Kernel Team (ubuntu-kernel-team) → nobody
importance: Undecided → Medium
Revision history for this message
Runar Ingebrigtsen (ringe) wrote :

I am currently running 13.04 and the same problem is still present. It's been with me since 12.04

But now I have discovered a pattern to these freezes: My power cord is always unplugged when Ubuntu freezes.

I have a usage pattern that might have an impact: Whenever the screen saver is starting (the desktop is fading out), I push shift or move my mouse to avoid having to write the password. I know, it's odd behavior since I could just prolong the timeout.

Clearly this has to do with power management, anyway.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Runar Ingebrigtsen, your bug report is https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1073963 . Please refrain from commenting here, but instead continue to do so on your report.

Revision history for this message
dino99 (9d9) wrote :

This version is now outdated and no more supported

Changed in linux (Ubuntu):
status: Incomplete → Invalid
Changed in linux:
status: New → Invalid
Displaying first 40 and last 40 comments. View all 253 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.